import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaTargetTypeCategory } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaTargetTypeCategoryService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByKey(key: string): Observable<MetaTargetTypeCategory> {
    return this.rpcService.call<MetaTargetTypeCategory>('MetaTargetTypeCategoryService.readByKey', key);
  }

  public readAll(): Observable<MetaTargetTypeCategory[]> {
    return this.rpcService.call<MetaTargetTypeCategory[]>('MetaTargetTypeCategoryService.readAll');
  }
}
